#!/bin/bash

set -eEuo pipefail

[ -z "$(git status --porcelain)" ] || {
  echo "uncommited changes, clean up first"
  exit 1
}
docker build -t registry.git.cccv.de/c3lingo/rescheduled:latest .
echo "Build done."
docker push registry.git.cccv.de/c3lingo/rescheduled:latest
echo "Push done."
