class Admin::BaseController < ApplicationController
  before_action :authenticate_user!
  layout "admin"

  protected

  def authorize_admin
    unless current_user&.has_permission?("manage_users") || current_user&.has_permission?("manage_conferences")
      redirect_to root_path, alert: "You are not authorized to access this section."
    end
  end
end
